package b4a.example.designerscripts;
import anywheresoftware.b4a.objects.TextViewWrapper;
import anywheresoftware.b4a.objects.ImageViewWrapper;
import anywheresoftware.b4a.BA;


public class LS_layout{

public static void LS_320x480_1(java.util.LinkedHashMap<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
//BA.debugLineNum = 2;BA.debugLine="Panel1.Top=0"[Layout/320x480,scale=1]
views.get("panel1").vw.setTop((int)(0d));
//BA.debugLineNum = 3;BA.debugLine="Panel1.Left=0"[Layout/320x480,scale=1]
views.get("panel1").vw.setLeft((int)(0d));
//BA.debugLineNum = 4;BA.debugLine="Panel1.Height=100%y"[Layout/320x480,scale=1]
views.get("panel1").vw.setHeight((int)((100d / 100 * height)));
//BA.debugLineNum = 5;BA.debugLine="Panel1.Width=100%x"[Layout/320x480,scale=1]
views.get("panel1").vw.setWidth((int)((100d / 100 * width)));
//BA.debugLineNum = 6;BA.debugLine="WebView1.Top=Panel1.Top"[Layout/320x480,scale=1]
views.get("webview1").vw.setTop((int)((views.get("panel1").vw.getTop())));
//BA.debugLineNum = 7;BA.debugLine="WebView1.Height=Panel1.Height"[Layout/320x480,scale=1]
views.get("webview1").vw.setHeight((int)((views.get("panel1").vw.getHeight())));
//BA.debugLineNum = 8;BA.debugLine="WebView1.Width=Panel1.Width"[Layout/320x480,scale=1]
views.get("webview1").vw.setWidth((int)((views.get("panel1").vw.getWidth())));
//BA.debugLineNum = 9;BA.debugLine="WebView1.Left=Panel1.Left"[Layout/320x480,scale=1]
views.get("webview1").vw.setLeft((int)((views.get("panel1").vw.getLeft())));

}
public static void LS_general(java.util.LinkedHashMap<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
anywheresoftware.b4a.keywords.LayoutBuilder.scaleAll(views);

}
}